- Qt 5.5
- Qt3D Module
- C++ Classes
- QKeyboardController
- Qt 5.5.1 Reference Documentation

# QKeyboardController Class

(Qt3D::QKeyboardController)

Header: | #include <QKeyboardController>
qmake: | QT += 3dinput
Since: | Qt 5.5
Instantiated By: | KeyboardController
Inherits: | QNode

- List of all members, including inherited members

## Properties

- activeInput : Qt3D::QKeyboardInput * const

- 1 property inherited from Qt3D::QNode

## Public Functions

| QKeyboardController(QNode * parent = 0)
| ~QKeyboardController()
QKeyboardInput * | activeInput() const

- 6 public functions inherited from Qt3D::QNode

## Signals

void | activeInputChanged()

- 1 signal inherited from Qt3D::QNode

## Reimplemented Protected Functions

virtual void | sceneChangeEvent(const QSceneChangePtr & change)

- 3 protected functions inherited from Qt3D::QNode

### Additional Inherited Members

- 3 protected functions inherited from Qt3D::QNode
- 1 static protected member inherited from Qt3D::QNode

## Detailed Description

## Property Documentation

### activeInput : Qt3D::QKeyboardInput * const

Access functions:

QKeyboardInput * | activeInput() const

Notifier signal:

void | activeInputChanged()

## Member Function Documentation

### QKeyboardController::QKeyboardController(QNode * parent = 0)

### QKeyboardController::~QKeyboardController()

### `[virtual protected]` void QKeyboardController::sceneChangeEvent(const QSceneChangePtr & change)